Page MenuHomePhabricator

Gadget-style in the Arabic Wikipedia causes styling issues in ContentTranslation
Closed, ResolvedPublic

Description

There are two bugs in ContentTranslation, which disappear if I turn off Gadget-style: T105988 and T105938. The gadget is default, so it probably breaks ContentTranslation for a lot of Arabic Wikipedia users.

The gadget's files are Gadget-style.js and Gadget-style.css.

Event Timeline

Amire80 created this task.Jul 16 2015, 4:32 AM
Amire80 raised the priority of this task from to High.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, Moushira.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 4:32 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 18 2015, 11:01 PM
Amire80 claimed this task.Jul 21 2015, 5:38 PM

We'll need cooperation from the Arabic Wikipedia community with this, because it's significantly more complicated than the usual gadget issues with which I deal. I emailed some contacts that I have about this.

Amire80 set Security to None.
Arrbee edited a custom field.Jul 21 2015, 5:53 PM
Amire80 moved this task from Backlog to In Progress on the LE-CX6-Sprint 1 board.Jul 22 2015, 12:50 AM
Ibrahim.ID added a comment.EditedJul 23 2015, 6:27 AM

Hi @Amire80, I didn't find any issue in Arabic articles by ContentTranslation (tested in arwiki and enwiki), could you test it on different browser ? using another account ?

Hmm. I can consistently reproduce both T105938 and T105988 when "تحسينات المظهر" is checked, and if I uncheck it, then both bugs are gone. This happens in Chrome 43 and in Firefox 39.

What is the status of this task, now that Wikimania 2015 is over? As this task is in the "Backlog" column of the #Wikimania-Hackathon-2015 project's workboard: Did this task take place and was successfully finished? If yes: Please provide an update (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

Meno25 added a subscriber: Meno25.Jul 24 2015, 11:26 AM
Arrbee moved this task from In Progress to In Review on the LE-CX6-Sprint 1 board.Aug 5 2015, 7:17 AM
Arrbee lowered the priority of this task from High to Low.Aug 10 2015, 7:25 AM
Arrbee added a subscriber: Arrbee.

The remaining part is not within the CX code and will have to be handled in the gadget.

Qgil added a subscriber: Qgil.Sep 16 2015, 10:16 AM

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:18 PM
Amire80 edited a custom field.
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 8:17 AM
Qgil added a comment.Oct 29 2015, 2:33 PM

The remaining part is not within the CX code and will have to be handled in the gadget.

Who is the maintainer of this gadget? Any plan to move forward?

There was one major issue, which Santhosh fixed in the CX side eventually.

There are smaller issues in this gadget, some of which affect CX, but there are many others, which affect other parts of MediaWiki. It seems to me that a lot of this gadget's functionality is about fixing RTL issues that are not relevant any longer with modern MediaWiki and can be removed, but this is really up to the Arabic Wikipedia community.

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptJun 26 2018, 6:33 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Aug 20 2018, 11:36 AM
Arrbee closed this task as Resolved.Aug 20 2018, 2:45 PM
Meno25 removed a subscriber: Meno25.Nov 23 2018, 7:20 AM